// Require
function require(path, env) {
  return __loadModule__(path, env).exports
}

// Props
var $props = function(object) {
  var result = []
  for (; object != null; object = Object.getPrototypeOf(object)) {
    var names = Object.getOwnPropertyNames(object)
    for (var idx=0; idx<names.length; idx++) {
      var name = names[idx]
      if (result.indexOf(name) === -1) {
        result.push(name)
      }
    }
  }
  return result
}

var $desc = function(object) {
  return __getObjectProperties__(object)
}

// C Functions
var global = this
global.$defc = function(func, params) {
  __requireCFunction__(func, params)
  global[func] = function() {
    var args = Array.prototype.slice.call(arguments)
    return __invokeCFunction__.apply(global, [func, args])
  }
}

// Blocks
global.$block = function(args, cb) {

  if (args == undefined && cb == undefined) {
    return null
  }

  var that = this
  var slf = global.self

  if (args instanceof Function) {
    cb = args
    args = "void"
  }

  var callback = function() {
    var args = Array.prototype.slice.call(arguments)
    global.self = slf
    return cb.apply(that, __syncMain(args))
  }

  var ret = {args: args, cb: callback, argCount: cb.length, __isBlock: 1}
  if (global.__nextIndex) {
    ret["blockToken"] = global.__nextIndex(args, cb)
  }
  
  return ret
}

var __moduleCache__ = Object.create(null)

function __loadModule__(path, env) {

  var key = __resolvePath__(path, env || "")
  var cachedModule = __moduleCache__[key]

  if (cachedModule) {
    return cachedModule
  }

  var source = __includeCode__(path, env || "")
  var module = {"exports": {}}
  
  try {
    var execute = new Function("exports, module", source)
    execute(module.exports, module)
    __moduleCache__[key] = module
  } catch (error) {
    error.path = path
    throw(error)
  }
  
  return module
}

function __invokeBinding__(selector, path, args) {
  var invoker = require(path)[selector]
  if (invoker) {
    return invoker.apply(this, args)
  } else {
    throw new Error("\"" + selector + "\" not found, it should be exposed like exports." + selector + " = ...")
  }
}

function __isPrimitive__(test) {
  return (test !== Object(test))
}

function __isFunction__(func) {
  return (typeof(func) === "function")
}

function __isArray__(object) {
  return Array.isArray(object)
}

function __nextThenable__(object, nextResolve, nextReject) {
  object.then(function(result) {
    nextResolve(result)
  }, function(error) {
    nextReject(error)
  })
}

function __dumpObject__(object) {

  function __flatten__(higher) {
    var results = []
    for (var idx=0; idx<higher.length; ++idx) {
      results.push(__dumpObject__(higher[idx]))
    }
    return results
  }

  if (__isPrimitive__(object)) {
    return object
  }

  if (__isFunction__(object)) {
    return "<Function>"
  }

  if (__isArray__(object)) {
    return __flatten__(object)
  }

  var keys = $props(object).filter(function(key) {
    return ["snapshot", "constructor", "hasOwnProperty", "isPrototypeOf", "propertyIsEnumerable", "toLocaleString", "toString", "valueOf", "__defineGetter__", "__defineSetter__", "__lookupGetter__", "__lookupSetter__"].indexOf(key) === -1
  })

  var results = {}

  for (var idx=0; idx<keys.length; idx++) {
    var key = keys[idx]
    var value = object[key]
    if (__isPrimitive__(value)) {
      results[key] = value
    } else if (__isFunction__(value)) {
      results[key] = "<Function>"
    } else if (__isArray__(value)) {
      results[key] = __flatten__(value)
    } else {
      results[key] = __getObjectDescription__(value)
    }
  }

  return results
}

function __stringifyObject__(object) {
  return JSON.stringify(object)
}

function __stringifyFunction__(object) {
  
  var types = ["number", "string", "boolean"]
  var ac = [].constructor
  var oc = {}.constructor

  function needsEncode(object) {
    if (object === null || object === undefined) {
      return false
    } else if (types.indexOf(typeof object) !== -1) {
      return false
    } else if (object.constructor === ac || object.constructor === oc) {
      return false
    } else {
      return true
    }
  }

  return JSON.stringify(object, function(key, value) {
    if (needsEncode(value)) {
      return "#BEGIN#" + btoa(value + "") + "#END#";
    } else {
      return value
    }
  })
}

// Window
var window = {}

// Module
var module = { exports: { } }

// Exports
var exports = module.exports

// Env
var $env = {
  app: 1 << 0,
  today: 1 << 1,
  action: 1 << 2,
  safari: 1 << 3,
  notification: 1 << 4,
  keyboard: 1 << 5,
  siri: 1 << 6,
  all: (1 << 0) | (1 << 1) | (1 << 2) | (1 << 3) | (1 << 4) | (1 << 5) | (1 << 6)
}

// Align
var $align = {
  left: 0,
  center: 1,
  right: 2,
  justified: 3,
  natural: 4
}

// Table
var $cellInset = 15

// Content mode
var $contentMode = {
  scaleToFill: 0,
  scaleAspectFit: 1,
  scaleAspectFill: 2,
  redraw: 3,
  center: 4,
  top: 5,
  bottom: 6,
  left: 7,
  right: 8,
}

// Button types
var $btnType = {
  custom: 0,
  system: 1,
  disclosure: 2,
  infoLight: 3,
  infoDark: 4,
  contactAdd: 5,
}

// Zero values
var $zero = {
  point: $point(0, 0),
  size: $size(0, 0),
  rect: $rect(0, 0, 0, 0),
  insets: $insets(0, 0, 0, 0),
  indexPath: $indexPath(0, 0),
}

// Layout
var $layout = {
  fill: function(make, view) {
    make.edges.equalTo(view.super)
  },
  center: function(make, view) {
    make.center.equalTo(view.super)
  }
}

// LineCap
var $lineCap = {
  butt: 0,
  round: 1,
  square: 2
}

// LineJoin
var $lineJoin = {
  miter: 0,
  round: 1,
  bevel: 2
}

// Media types
var $mediaType = {
  image: "public.image",
  jpeg: "public.jpeg",
  jpeg2000: "public.jpeg-2000",
  tiff: "public.tiff",
  pict: "com.apple.pict",
  gif: "com.compuserve.gif",
  png: "public.png",
  icns: "com.apple.icns",
  bmp: "com.microsoft.bmp",
  ico: "com.microsoft.ico",
  raw: "public.camera-raw-image",
  live: "com.apple.live-photo",
  movie: "public.movie",
  video: "public.video",
  audio: "public.audio",
  mov: "com.apple.quicktime-movie",
  mpeg: "public.mpeg",
  mpeg2: "public.mpeg-2-video",
  mp3: "public.mp3",
  mp4: "public.mpeg-4",
  avi: "public.avi",
  wav: "com.microsoft.waveform-audio",
  midi: "public.midi-audio"
}

// Image picker
var $imgPicker = {
  quality: {
    high: 0,
    medium: 1,
    low: 2,
    r640x480: 3,
    r1280x720: 4,
    r960x540: 5
  },
  captureMode: {
    photo: 0,
    video: 1
  },
  device: {
    rear: 0,
    front: 1
  },
  flashMode: {
    off: -1,
    auto: 0,
    on: 1
  }
}

// Keyboard type
var $kbType =  {
  default: 0,
  ascii: 1,
  nap: 2,
  url: 3,
  number: 4,
  phone: 5,
  namePhone: 6,
  email: 7,
  decimal: 8,
  twitter: 9,
  search: 10,
  asciiPhone: 11
}

// Return key type
var $rkType = {
  default: 0,
  go: 1,
  google: 2,
  join: 3,
  next: 4,
  route: 5,
  search: 6,
  send: 7,
  yahoo: 8,
  done: 9,
  emergencyCall: 10,
  continue: 11,
}

// Photos framework values
var $assetMedia = {
  type: {
    unknown: 0,
    image: 1,
    video: 2,
    audio: 3
  },
  subType: {
    none: 0,
    panorama: 1 << 0,
    hdr: 1 << 1,
    screenshot: 1 << 2,
    live: 1 << 3,
    depthEffect: 1 << 4,
    streamed: 1 << 16,
    highFrameRate: 1 << 17,
    timelapse: 1 << 18
  }
}

// PDFKit page size
var $pageSize = {
  letter: 0, governmentLetter: 1, legal: 2, juniorLegal: 3, ledger: 4, tabloid: 5,
  A0: 6, A1: 7, A2: 8, A3: 9, A4: 10, A5: 11, A6: 12, A7: 13, A8: 14, A9: 15, A10: 16,
  B0: 17, B1: 18, B2: 19, B3: 20, B4: 21, B5: 22, B6: 23, B7: 24, B8: 25, B9: 26, B10: 27,
  C0: 28, C1: 29, C2: 30, C3: 31, C4: 32, C5: 33, C6: 34, C7: 35, C8: 36, C9: 37, C10: 38,
  custom: 52
}

// Runtime classes
$objc("NSDictionary")
$objc("NSMutableDictionary")
$objc("NSArray")
$objc("NSMutableArray")
$objc("NSSet")
$objc("NSMutableSet")
$objc("NSString")
$objc("NSMutableString")
$objc("NSData")
$objc("NSMutableData")
$objc("NSNumber")
$objc("NSURL")
$objc("NSEnumerator")
$defc("NSTemporaryDirectory", "NSString *")
$defc("NSHomeDirectory", "NSString *")
