var types = require("./types");
var defs = require("./defs");

// console
defs["console"] = $class({
  "clear": $("fn()", "Clear the console.", "/debug/console"),
  "error": $("fn(...msg: ?)", "Outputs an error message to the Console.", "/debug/console"),
  "info": $("fn(...msg: ?)", "Outputs an informational message to the Console.", "/debug/console"),
  "log": $("fn(...msg: ?)", "Outputs a message to the Console.", "/debug/console"),
  "warn": $("fn(...msg: ?)", "Outputs a warning message to the Console.", "/debug/console"),
  "assert": $("fn(assertion: bool, text: string)", "Writes an error message to the console if the assertion is false.", "/debug/console"),
  "open": $("fn()", "Presents the Console from current view.", "/debug/console"),
  "close": $("fn()", "Close the presented Console.", "/debug/console"),
}, null, $(null, "The console object provides access to the debugging console.", "/debug/console"));

// btoa
defs["btoa"] = $("fn(data: string) -> string", "Creates a base-64 encoded ASCII string from a string of binary data.", "https://developer.mozilla.org/en/docs/DOM/window.btoa");

// atob
defs["atob"] = $("fn(encoded: string) -> string", "Decodes a string of data which has been encoded using base-64 encoding.", "https://developer.mozilla.org/en/docs/DOM/window.atob");

// setTimeout
defs["setTimeout"] = $("fn(f: fn(), ms: number) -> number", "Calls a function or executes a code snippet after specified delay.", "https://developer.mozilla.org/en/docs/DOM/window.setTimeout");

// clearTimeout
defs["clearTimeout"] = $("fn(timeout: number)", "Clears the delay set by window.setTimeout().", "https://developer.mozilla.org/en/docs/DOM/window.clearTimeout");

// setInterval
defs["setInterval"] = $("fn(f: fn(), ms: number) -> number", "Calls a function or executes a code snippet repeatedly, with a fixed time delay between each call to that function.", "https://developer.mozilla.org/en/docs/DOM/window.setInterval");

// clearInterval
defs["clearInterval"] = $("fn(interval: number)", "Cancels repeated action which was set up using setInterval.", "https://developer.mozilla.org/en/docs/DOM/window.clearInterval");

// alert
defs["alert"] = $("fn(message: string)", "Display an alert dialog with the specified content and an OK button.", "https://developer.mozilla.org/en/docs/DOM/window.alert");
