var types = require("./types");
var defs = require("./defs");

// EKCalendar
types["$calendar"] = $type({
  "identifier": "string",
  "title": "string",
  "type": "number",
  "color": "$color",
}, null, $(null, "Represents a system calendar."));

// EventItem
types["$calendarItem"] = $type({
  "UUID": "string",
  "calendar": "$calendar",
  "identifier": "string",
  "title": "string",
  "location": "string",
  "notes": "string",
  "url": "string",
  "modifiedDate": "+Date",
  "creationDate": "+Date",
}, null, $(null, "Base calendar item.", "/object/calendar-item"));

// EKEvent
types["$eventItem"] = $type({
  "eventIdentifier": "string",
  "allDay": "bool",
  "startDate": "+Date",
  "endDate": "+Date",
  "status": "number",
}, types["$calendarItem"], $(null, "Calendar event item.", "/object/calendar-item"));

// EKReminder
types["$reminderItem"] = $type({
  "completed": "bool",
  "completionDate": "+Date",
  "alarmDate": "+Date",
  "priority": "number",
}, types["$calendarItem"], $(null, "Reminder item.", "/object/reminder-item"));