var types = require("./types");
var defs = require("./defs");

// $photo
$dict("$photoResult", {
  "metadata": "object",
  "image": "$image",
  "data": "$data",
});

defs["$photo"] = $class({
  "take": $("fn(args: ?) -> +Promise[:t=$photoResult]", "Take a photo with camera.", "/media/photo?id=phototakeobject"),
  "pick": $("fn(args: ?) -> +Promise[:t=$photoResult]", "Pick a photo from photo library.", "/media/photo?id=photopickobject"),
  "prompt": $("fn(args: ?)", "Ask user take a photo or pick a photo.", "/media/photo?id=photopromptobject"),
  "save": $("fn(args: ?) -> +Promise[:t=bool]", "Save a photo to photo library.", "/media/photo?id=photosaveobject"),
  "fetch": $("fn(args: ?) -> +Promise[:t=[$image|$data]]", "Fetch photos from photo library.", "/media/photo?id=photofetchobject"),
  "delete": $("fn(args: ?) -> +Promise[:t=bool]", "Delete photos in photo library.", "/media/photo?id=photodeleteobject"),
}, null, $(null, "Provided a series of APIs to interact with photos.", "/media/photo"));

// $audio
defs["$audio"] = $class({
  "status": $("number", "Get current status."),
  "duration": $("number", "Get duration."),
  "offset": $("number", "Get current time."),
  "play": $("fn(args: ?)", "Play audio with id or file path."),
  "pause": $("fn()", "Pause current playing audio."),
  "resume": $("fn()", "Resume current playing audio."),
  "stop": $("fn()", "Stop current playing audio."),
  "seek": $("fn(sec: number)", "Seek to a position (in seconds)."),
}, null, $(null, "Play simple audio, for example a keyboard clicked sound.", "/media/audio"));

// $pdf
defs["$pdf"] = $class({
  "make": $("fn(args: ?) -> +Promise[:t=?]", "Create PDF documents.", "/media/pdf?id=pdfmakeobject"),
}, null, $(null, "Create PDF documents with simple API.", "/media/pdf"));

// $quicklook
defs["$quicklook"] = $class({
  "open": $("fn(args: ?) -> +Promise[:t=?]", "Built-in previewer to open files, a lot of file formats are supported.", "/media/quicklook?id=quicklook"),
}, null, $(null, "Built-in previewer to open files.", "/media/quicklook"));