var types = require("./types");
var defs = require("./defs");

// $objc
defs["$objc"] = $("fn(name: string) -> object", "Get an Objective-C class dynamically.", "/runtime/intro?id=methods");

// $define
defs["$define"] = $("fn(args: ?)", "Define an Objective-C class.", "/runtime/intro?id=methods");

// $protocol
defs["$protocol"] = $("fn(args: ?)", "Define an Objective-C protocol.");

// runtimeValue()
defs["Object"] = $class(null, {
  "runtimeValue": $("fn() -> $runtimeValue", "Returns the runtime value of a raw value.", "/runtime/intro?id=methods")
});

// rawValue()
types["$runtimeValue"] = $type({
  "rawValue": $("fn() -> object", "Returns the raw value of a runtime value."),
  "invoke": $("fn(name: string, ...args: ?) -> $runtimeValue", "Invoke an Objective-C method."),
}, null, $(null, "An Objective-C Runtime value.", "/runtime/intro"));

// Foundation
defs["NSDictionary"] = $class(null, null, $(null, "NSDictionary", "https://developer.apple.com/documentation/foundation/nsdictionary"));
defs["NSMutableDictionary"] = $class(null, null, $(null, "NSMutableDictionary", "https://developer.apple.com/documentation/foundation/nsmutabledictionary"));
defs["NSArray"] = $class(null, null, $(null, "NSArray", "https://developer.apple.com/documentation/foundation/nsarray"));
defs["NSMutableArray"] = $class(null, null, $(null, "NSMutableArray", "https://developer.apple.com/documentation/foundation/nsmutablearray"));
defs["NSSet"] = $class(null, null, $(null, "NSSet", "https://developer.apple.com/documentation/foundation/nsset"));
defs["NSMutableSet"] = $class(null, null, $(null, "NSMutableSet", "https://developer.apple.com/documentation/foundation/nsmutableset"));
defs["NSString"] = $class(null, null, $(null, "NSString", "https://developer.apple.com/documentation/foundation/nsstring"));
defs["NSMutableString"] = $class(null, null, $(null, "NSMutableString", "https://developer.apple.com/documentation/foundation/nsmutablestring"));
defs["NSData"] = $class(null, null, $(null, "NSData", "https://developer.apple.com/documentation/foundation/nsdata"));
defs["NSMutableData"] = $class(null, null, $(null, "NSMutableData", "https://developer.apple.com/documentation/foundation/nsmutabledata"));
defs["NSNumber"] = $class(null, null, $(null, "NSNumber", "https://developer.apple.com/documentation/foundation/nsnumber"));
defs["NSURL"] = $class(null, null, $(null, "NSURL", "https://developer.apple.com/documentation/foundation/nsurl"));
defs["NSEnumerator"] = $class(null, null, $(null, "NSEnumerator", "https://developer.apple.com/documentation/foundation/nsenumerator"));
defs["NSTemporaryDirectory"] = $("fn() -> NSString", "NSTemporaryDirectory", "https://developer.apple.com/documentation/foundation/1409211-nstemporarydirectory");
defs["NSHomeDirectory"] = $("fn() -> NSString", "NSHomeDirectory", "https://developer.apple.com/documentation/foundation/1413045-nshomedirectory");