var linter = new window.eslint();

var globals = {
  
  console: true,
  setTimeout: true,
  setInterval: true,
  clearInterval: true,
  btoa: true,
  atob: true,
  alert: true,
  async: true,
  await: true,
  require: true,
  module: true,

  $: true,
  $device: true,
  $app: true,
  $addin: true,
  $env: true,
  $context: true,
  $ui: true,
  $clipboard: true,
  $http: true,
  $file: true,
  $photo: true,
  $audio: true,
  $cache: true,
  $thread: true,
  $share: true,
  $push: true,
  $location: true,
  $system: true,
  $message: true,
  $calendar: true,
  $reminder: true,
  $contact: true,
  $motion: true,
  $input: true,
  $text: true,
  $picker: true,
  $qrcode: true,
  $detector: true,
  $pdf: true,
  $quicklook: true,
  $safari: true,
  $drive: true,
  $timer: true,
  $archiver: true,
  $console: true,
  $browser: true,
  $keyboard: true,
  $network: true,
  $ssh: true,
  $lua: true,
  $widget: true,
  $sqlite: true,
  $socket: true,
  $server: true,
  $intents: true,
  $xml: true,
  $editor: true,

  $include: true,
  $l10n: true,
  $delay: true,
  $wait: true,
  $rect: true,
  $size: true,
  $point: true,
  $insets: true,
  $color: true,
  $rgb: true,
  $rgba: true,
  $font: true,
  $range: true,
  $indexPath: true,
  $cellInset: true,
  $transform: true,
  $data: true,
  $labeledValue: true,
  $props: true,
  $desc: true,
  $objc: true,
  $objc_retain: true,
  $objc_release: true,
  $define_struct: true,
  $struct: true,
  $get_protocol: true,
  $define: true,
  $protocol: true,
  $icon: true,

  $align: true,
  $contentMode: true,
  $btnType: true,
  $zero: true,
  $layout: true,
  $lineCap: true,
  $lineJoin: true,
  $mediaType: true,
  $imgPicker: true,
  $kbType: true,
  $assetMedia: true,
  $pageSize: true,

  $notify: true,
  $defc: true,
  $block: true,
  $memset: true,
  $memmove: true,
  $memcpy: true,
  $malloc: true,
  $free: true,
  $pval: true,
  $getPointer: true,
  $pvalBool: true,
  $sizeof: true,
  $bridge_id: true,
  $CFRelease: true,
  $CFRetain: true,
  $assignPointer: true,
  $assignScalarTypePointer: true,
  $struct: true,
  $pvalStruct: true,
  
  NSDictionary: true,
  NSMutableDictionary: true,
  NSArray: true,
  NSMutableArray: true,
  NSSet: true,
  NSMutableSet: true,
  NSString: true,
  NSMutableString: true,
  NSData: true,
  NSMutableData: true,
  NSNumber: true,
  NSURL: true,
  NSEnumerator: true,
  NSTemporaryDirectory: true,
  NSHomeDirectory: true,
};

function lint(code) {

  var rules = _rules();

  if (rules["no-unused-vars"] > 0) {
    rules["no-unused-vars"] = ["error", { "args": "none" }];
  }

  var options = {
    env: {
      browser: true,
      node: true,
      es6: true
    },
    parserOptions: {
      ecmaVersion: 2018,
      sourceType: "script",
      ecmaFeatures: {
        globalReturn: true
      }
    },
    rules: rules,
    globals: globals
  };

  return linter.verifyAndFix(code, options);
}
