> Provide localized texts for your script, it's a great habits, we should do that.

# $l10n

`l10n` means `Localization`, because localization has 10 characters.

You can use `$l10n` to support multiple languages easily, or you can detect the language and display what ever you want by yourself (not recommend).

# $app.strings

There are only 2 steps to localize a text:

- Use `$app.strings` to define all strings
- Use `$l10n` to get localized strings

For example:

```js
$app.strings = {
  "en": {
    "title": "tortoise"
  },
  "zh-Hans": {
    "title": "乌龟"
  },
  "zh-Hant": {
    "title": "烏龜"
  }
}
```

`en` means English, `zh-Hans` means Simplified-Chinese, `zh-Hant` means Traditional-Chinese.

How to use it:

```js
var title = $l10n("title")
```

The fallback logic:

- No suitable language pack, fallback to English (en)
- No suitable string for a key, fallback to the key itself