> We can create Objective-C class in JSBox at runtime

# $define(object)

Here is an example:

```js
$define({
  type: "Helper: NSObject",
  events: {
    instanceMethod: function() {
      $ui.alert("instance")
    },
    "indexPathForRow:inSection:": function(row, section) {
      $ui.alert("row: " + row + ", section: " + section)
    }
  },
  classEvents: {
    classMethod: function() {
      $ui.alert("class")
    }
  }
})
```

There are basically 3 parts:

- `type` The class name
- `events` All instance methods
- `classEvents` All class methods

Now you can use it this way:

```js
$objc("Helper").invoke("alloc.init").invoke("instanceMethod")
$objc("Helper").invoke("classMethod")
```

It works like a native class.