> Convert values between runtime and native environment

# Methods

Note:

- All values generated by runtime APIs are runtime values.
- All values generated by JSBox APIs are raw values.

Therefore, there are 2 methods provided to convert them:

- `rawValue()` Runtime value to raw value
- `runtimeValue()` Raw value to runtime value

# Example

This is a raw value:

```js
var color1 = $color("red")
```

If we want to use this in runtime APIs, we need to concert it first: `color1.runtimeValue()`.

And this is a runtime value:

```js
var color2 = $objc("UIColor").invoke("grayColor")
```

If we want to use this in JSBox APIs, we also need to convert it:

```js
props: {
  bgcolor: color2.rawValue()
}
```

Through these two methods, we can handle all values between Runtime APIs and JSBox APIs.