# $lua.eval(string)

Run script on Lua virtual machine:

```js
var result = $lua.eval("local str = 'Hello, World!'\nreturn str");

console.log(result); // => Hello, World!
```

# $lua.load(string)

Run script with path:

```js
var path = "script/helper.lua";
var result = $lua.eval(path);
```

# $lua.call(object)

After load or eval, you can call function:

```js
$lua.eval("function sum(a, b)\n  return a + b\nend");

var result = $lua.call({
  name: "sum",
  args: [1, 1]
})

console.log(result); // => 2
```

# $lua.retain(object)

Retain an object on vm:

```js
var object = "Hey!";

$lua.retain(object)
```

# $lua.release(object)

Release an object on vm:

```js
$lua.release(object);
```