# 设计思路

在 JSBox 里面我们提供了访问文件系统的接口，目的是为了让扩展程序可以把文件存储到磁盘上，例如下载下来的数据。

众所周知 iOS 有沙盒机制，简单说每个 app 可以用的文件系统是被彼此独立开来的，互不干扰，同时 app 能访问的目录是很有限的。

JSBox 里面的文件读写则像是一个 `沙盒中的沙盒`，每个扩展程序的目录都是独立的，也会随着扩展程序的删除或者重命名被清理掉，这样能保证各个扩展程序之间互不干扰，同时也能减少垃圾文件的产生，避免干扰到 JSBox 文件目录下的其他数据。

所以基本原则就是，并不是任何路径都能进行文件读写，当然 JSBox 的接口屏蔽了这些细节，扩展的编写者无须关心具体路径是什么（也无从知晓）。

以上是一点小小的说明。

# 共享目录

为了多个扩展之间共享一些文件，除了每个扩展自己的目录，JSBox 也提供了一个共享的目录，路径以 `shared://` 开头即可。

请注意，共享目录的文件可以被所有的扩展任意读写。

# iCloud Drive

另外，文件系统支持读写 iCloud Drive 内的文件，路径以 `drive://` 开头即可。

请注意，当用户未开启 iCloud 或未允许 JSBox 使用 iCloud Drive 时，iCloud 相关操作将会失败。

# Inbox

文件系统可以读取通过 AirDrop 导入到 JSBox 应用内的文件，路径以 `inbox://` 开头即可。

请注意，Inbox 内的文件可以被所有的扩展任意读写。