> 让你的程序支持多种语言环境，将会有利于使用以及传播，这是一个好的观念和习惯。

# $l10n

扩展在显示文字的时候支持多种语言，JSBox 提供了简单的本地化支持，`l10n` 是 `Localization` 的缩写，因为刚好有 10 个字母。

当然，你也可以通过 `$device.info` 获取当前设备的语言，进而手动提供多种语言，`$l10n` 是一个简单的封装，让代码可以更简单。

# $app.strings

本地化工作有两个步骤：

- 通过 `$app.strings` 定义要用到的文本
- 通过 `$l10n` 获取本地化过的文本

示例：

```js
$app.strings = {
  "en": {
    "title": "tortoise"
  },
  "zh-Hans": {
    "title": "乌龟"
  },
  "zh-Hant": {
    "title": "烏龜"
  }
}
```

其中 `en` 表示英文，`zh-Hans` 表示简体中文，`zh-Hant` 表示繁体中文。

当我们使用时，通过 `$l10n` 取出：

```js
var title = $l10n("title")
```

请注意，当用户设备没能找到合适的字符串时，将会有如下回退策略：

- 没有找到对应语言，回退到英语版本
- 没有找到对于的 value，回退到 key 本身