> 在 JSBox 中可以动态创建类和方法，用于实现更灵活的功能

# $define(object)

通过 `$define` 方法可以动态创建一个 Objective-C Class:

```js
$define({
  type: "Helper: NSObject",
  events: {
    instanceMethod: function() {
      $ui.alert("instance")
    },
    "indexPathForRow:inSection:": function(row, section) {
      $ui.alert("row: " + row + ", section: " + section)
    }
  },
  classEvents: {
    classMethod: function() {
      $ui.alert("class")
    }
  }
})
```

主要有三个部分：

- `type` 表示类名，声明方式与 Objective-C 相同
- `events` 中实现所有的实例方法
- `classEvents` 中实现所有的类方法

定义之后可以这样使用这个类：

```js
$objc("Helper").invoke("alloc.init").invoke("instanceMethod")
$objc("Helper").invoke("classMethod")
```

分别会弹出 `instance` 和 `class` 两个提示。