# $lua.eval(string)

在 Lua 虚拟机上面运行一段脚本，返回运行结果：

```js
var result = $lua.eval("local str = 'Hello, World!'\nreturn str");

console.log(result); // => Hello, World!
```

# $lua.load(string)

通过文件路径执行一段脚本：

```js
var path = "script/helper.lua";
var result = $lua.eval(path);
```

# $lua.call(object)

通过 load 或 eval 运行后，可以通过 call 重复执行虚拟机上的函数：

```js
$lua.eval("function sum(a, b)\n  return a + b\nend");

var result = $lua.call({
  name: "sum",
  args: [1, 1]
})

console.log(result); // => 2
```

# $lua.retain(object)

维持一个 object 在虚拟机的引用：

```js
var object = "Hey!";

$lua.retain(object)
```

# $lua.release(object)

释放一个 object 在虚拟机的引用：

```js
$lua.release(object);
```