function selectedHTML() {
  var selection = window.getSelection();
  if (selection.rangeCount > 0) {
    range = selection.getRangeAt(0);
    var clonedSelection = range.cloneContents();
    var div = document.createElement('div');
    div.appendChild(clonedSelection);
    return div.innerHTML;
  } else {
    return "";
  }
}
  
function stylesOf(element) {
  if (element == null) { return {}; }
  var styles = {};
  var elements = getComputedStyle(element);
  for (var i = 0; i < elements.length; i++) {
    var element = elements[i];
    styles[element] = elements.getPropertyValue(element);
  }
  return styles;
}
  
function selectedNode() {
  if (document.selection) {
    return document.selection.createRange().parentElement();
  } else {
    var selection = window.getSelection();
    if (selection.rangeCount > 0) {
      return selection.getRangeAt(0).startContainer.parentNode;
    }
  }
  return null
}
  
// Web Content compile
var ExtensionPreprocessor = function() {};
  
ExtensionPreprocessor.prototype = {
  run: function(arguments) {
    arguments.completionFunction({
      "baseURI": document.documentURI,
      "source": document.documentElement.outerHTML,
      "location": document.location,
      "contentType": document.contentType,
      "title": document.title,
      "selection": {
        "html": selectedHTML(),
        "text": window.getSelection().toString(),
        "style": stylesOf(selectedNode())
      }
    });
  },
  finalize: function(arguments) {
    eval(arguments["script"] || "");
  }
};
  
var ExtensionPreprocessingJS = new ExtensionPreprocessor;
