// Polyfill
var setTimeout = Function
var setInterval = Function
var clearInterval = Function
var btoa = Function
var atob = Function
var alert = Function
var async = 0
var await = 0

// API
var $device = {
  info: 0, taptic: Function, space: 0, ssid: 0, networkType: 0, wlanAddress: 0, isIphoneX: 0, isIphonePlus: 0, isIpad: 0, isIpadPro: 0
}

var $app = {
  debug: 0, hidden: 0, info: 0, idleTimerDisabled: 0, applicationIconBadgeNumber: 0, networkActivityIndicatorVisible: 0, config: 0, hide: Function, show: Function, close: Function, openURL: Function, openBrowser: Function, openExtension: Function, listen: Function, notify: Function, tips: Function, env: 0, autoKeyboardEnabled: 0, keyboardToolbarEnabled: 0, rotateDisabled: 0, strings: 0, minSDKVer: 0, minOSVer: 0, setupWidget: Function, widgetIndex: 0
}

var $addin = {
  list: 0, current: 0, save: Function, delete: Function, run: Function, restart: Function, compile: Function, eval: Function
}

// Env
var $env = {
  app: 0, today: 0, action: 0, safari: 0, notification: 0, keyboard: 0, siri: 0, all: 0
}

var $context = {
  query: 0, allItems: 0, text: 0, textItems: 0, link: 0, linkItems: 0, image: 0, imageItems: 0, data: 0, dataItems: 0, safari: 0, close: Function
}

var $ui = {
  window: 0, controller: 0, title: 0, render: Function, push: Function, fill: Function, pop: Function, popToRoot: Function, animate: Function, alert: Function, action: Function, menu: Function, toast: Function, clearToast: Function, error: Function, loading: Function, progress: Function, preview: Function, create: Function, get: Function, selectIcon: Function
}

var $clipboard = {
  text: 0, texts: 0, html: 0, image: 0, images: 0, pins: 0, phoneNumbers: 0, phoneNumber: 0, links: 0, link: 0, emails: 0, email: 0, dates: 0, date: 0, items: 0, clear: Function, setTextLocalOnly: Function, set: Function
}

var $http = {
  status: 0, get: Function, post: Function, request: Function, download: Function, upload: Function, shorten: Function, lengthen: Function, startServer: Function, stopServer: Function, suspend: Function, resume: Function, cancel: Function
}

var $file = {
  read: Function, write: Function, delete: Function, list: Function, copy: Function, move: Function, mkdir: Function, exists: Function, isDirectory: Function, extensions: 0
}

var $photo = {
  take: Function, pick: Function, prompt: Function, save: Function, fetch: Function, delete: Function
}

var $audio = {
  status: 0, duration: 0, offset: 0, play: Function, pause: Function, resume: Function, stop: Function, seek: Function
}

var $cache = {
  set: Function, setAsync: Function, get: Function, getAsync: Function, remove: Function, removeAsync: Function, clear: Function, clearAsync: Function
}

var $thread = {
  background: Function, main: Function
}

var $share = {
  sheet: Function, wechat: Function, qq: Function, universal: Function
}

var $push = {
  schedule: Function, cancel: Function
}

var $location = {
  available: 0, fetch: Function, startUpdates: Function, trackHeading: Function, stopUpdates: Function, select: Function
}

var $system = {
  brightness: 0, volume: 0, call: Function, sms: Function, mailto: Function, facetime: Function, home: Function, makeIcon: Function
}

var $message = {
  sms: Function, mail: Function
}

var $calendar = {
  fetch: Function, create: Function, save: Function, delete: Function
}

var $reminder = {
  fetch: Function, create: Function, save: Function, delete: Function
}

var $contact = {
  fetch: Function, create: Function, save: Function, delete: Function, pick: Function, fetchGroups: Function, addGroup: Function, deleteGroup: Function, updateGroup: Function, addToGroup: Function, removeFromGroup: Function
}

var $motion = {
  available: 0, startUpdates: Function, stopUpdates: Function
}

var $input = {
  text: Function, speech: Function
}

var $text = {
  tokenize: Function, lookup: Function, speech: Function, base64Encode: Function, base64Decode: Function, URLEncode: Function, URLDecode: Function, HTMLEscape: Function, HTMLUnescape: Function, MD5: Function, SHA1: Function, SHA256: Function, convertToPinYin: Function, markdownToHtml: Function, htmlToMarkdown: Function, decodeData: Function, sizeThatFits: Function, diff: Function
}

var $picker = {
  date: Function, data: Function, color: Function
}

var $qrcode = {
  encode: Function, decode: Function, scan: Function
}

var $detector = {
  date: Function, address: Function, link: Function, phoneNumber: Function
}

var $pdf = {
  make: Function
}

var $quicklook = {
  open: Function
}

var $safari = {
  items: 0, open: Function, inject: Function, addReadingItem: Function
}

var $drive = {
  save: Function, open: Function, read: Function, write: Function, delete: Function, list: Function, copy: Function, move: Function, mkdir: Function, exists: Function, isDirectory: Function
}

var $timer = {
  schedule: Function
}

var $archiver = {
  zip: Function, unzip: Function
}

var $console = {
  log: Function, info: Function, warn: Function, error: Function, clear: Function, open: Function, close: Function
}

var console = {
  log: Function, info: Function, warn: Function, error: Function, clear: Function, open: Function, close: Function
}

var $browser = {
  exec: Function
}

var $keyboard = {
  insert: Function, delete: Function, hasText: 0, selectedText: 0, barHidden: 0, height: 0, moveCursor: Function, playInputClick: Function, next: Function, send: Function, dismiss: Function
}

var $network = {
  ifa_data: 0, proxy_settings: 0, startPinging: Function, stopPinging: Function
}

var $ssh = {
  connect: Function, disconnect: Function
}

var $lua = {
  eval: Function, load: Function, call: Function, retain: Function, release: Function
}

var $widget = {
  mode: 0, modeChanged: 0, height: 0
}

var $sqlite = {
  open: Function, dbQueue: Function, close: Function, update: Function, query: Function, beginTransaction: Function, inTransaction: Function, commit: Function, rollback: Function
}

var $socket = {
  new: Function
}

var $server = {
  new: Function
}

var $intents = {
  height: 0, finish: Function
}

var $xml = {
  parse: Function
}

var $editor = {
  text: 0, selectedRange: 0, selectedText: 0, isActive: 0, canUndo: 0, canRedo: 0,
  save: Function, undo: Function, redo: Function, activate: Function, deactivate: Function, textInRange: Function, setTextInRange: Function
}

// Typer
function require(path, env) {

  if (require.cache[path]) {
    return require.cache[path].exports
  }

  var source = __includeCode__(path, env || '')
  var module = { exports: { } }
  var execute = new Function('exports, module', source)
  
  execute(module.exports, module)
  require.cache[path] = module
  
  return module.exports
}

require.cache = Object.create(null)

var $include = Function
var $l10n = Function
var $delay = Function
var $wait = Function
var $rect = Function
var $size = Function
var $point = Function
var $insets = Function
var $color = Function
var $rgb = Function
var $rgba = Function
var $font = Function
var $range = Function
var $indexPath = Function
var $cellInset = Function
var $transform = Function
var $data = Function
var $labeledValue = Function
var $props = Function
var $desc = Function
var $objc = Function
var $objc_retain = Function
var $objc_release = Function
var $define_struct = Function
var $struct = Function
var $get_protocol = Function
var $define = Function
var $protocol = Function
var $icon = Function

// Align
var $align = {
  left: 0, center: 0, right: 0, justified: 0, natural: 0
}

// Content mode
var $contentMode = {
  scaleToFill: 0, scaleAspectFit: 0, scaleAspectFill: 0, redraw: 0, center: 0, top: 0, bottom: 0, left: 0, right: 0
}

// Button types
var $btnType = {
  custom: 0, system: 0, disclosure: 0, infoLight: 0, infoDark: 0, contactAdd: 0
}

// Alert action style
var $alertActionType = {
  default: 0, cancel: 1, destructive: 2
}

// Zero values
var $zero = {
  point: 0, size: 0, rect: 0, insets: 0
}

// Layout
var $layout = {
  fill: 0, center: 0
}

// LineCap
var $lineCap = {
  butt: 0, round: 0, square: 0
}

// LineJoin
var $lineJoin = {
  miter: 0, round: 0, bevel: 0
}

// Media types
var $mediaType = {
  image: 0, jpeg: 0, jpeg2000: 0, tiff: 0, pict: 0, gif: 0, png: 0, icns: 0, bmp: 0, ico: 0, raw: 0, live: 0, movie: 0, video: 0, audio: 0, mov: 0, mpeg: 0, mpeg2: 0, mp3: 0, mp4: 0, avi: 0, wav: 0, midi: 0
}

// Image picker
var $imgPicker = {
  quality: {
    high: 0, medium: 0, low: 0, r640x480: 0, r1280x720: 0, r960x540: 0
  },
  captureMode: {
    photo: 0, video: 0
  },
  device: {
    rear: 0, front: 0
  },
  flashMode: {
    off: 0, auto: 0, on: 0
  }
}

// Keyboard type
var $kbType =  {
  default: 0, ascii: 0, nap: 0, url: 0, number: 0, phone: 0, namePhone: 0, email: 0, decimal: 0, twitter: 0, search: 0, asciiPhone: 0
}

// Photos framework values
var $assetMedia = {
  type: {
    unknown: 0, image: 0, video: 0, audio: 0
  },
  subType: {
    none: 0, panorama: 0, hdr: 0, screenshot: 0, live: 0, depthEffect: 0, streamed: 0, highFrameRate: 0, timelapse: 0
  }
}

// PDFKit page size
var $pageSize = {
  letter: 0, governmentLetter: 0, legal: 0, juniorLegal: 0, ledger: 0, tabloid: 0,
  A0: 0, A1: 0, A2: 0, A3: 0, A4: 0, A5: 0, A6: 0, A7: 0, A8: 0, A9: 0, A10: 0,
  B0: 0, B1: 0, B2: 0, B3: 0, B4: 0, B5: 0, B6: 0, B7: 0, B8: 0, B9: 0, B10: 0,
  C0: 0, C1: 0, C2: 0, C3: 0, C4: 0, C5: 0, C6: 0, C7: 0, C8: 0, C9: 0, C10: 0,
  custom: 0
}

var module = {
  exports: 0
}

function generate(parameters) {

  if (typeof String.prototype.hasPrefix != 'function') {
    String.prototype.hasPrefix = function(str) {
      var lowerCased = str.toLowerCase()
      return this.toLowerCase().slice(0, lowerCased.length) == lowerCased;
    };
  }

  if (typeof Array.prototype.keySet != 'function') {
    Array.prototype.keySet = function() {
      var keys = {};
      for (var i = 0; i < this.length; ++i) {
        keys[this[i]] = true;
      }
      return keys;
    }
  }

  function _generateJavaScriptCompletions(base, prefix, suffix) {

    if (base && !/[({[]$/.test(base)) {
      return [];
    }

    var matchingWords = [];

    const allKeywords = ["break", "case", "catch", "const", "continue", "debugger", "default", "delete", "do", "else", "false", "finally", "for", "function", "if", "in",
      "Infinity", "instanceof", "NaN", "new", "null", "return", "switch", "this", "throw", "true", "try", "typeof", "undefined", "var", "void", "while", "with"
    ];
    const valueKeywords = ["false", "Infinity", "NaN", "null", "this", "true", "undefined"];

    function matchKeywords(keywords) {
      matchingWords = matchingWords.concat(keywords.filter(function(word) {
        return word.hasPrefix(prefix);
      }));
    }

    matchKeywords(allKeywords);

    switch (suffix.substring(0, 1)) {

      case ".":
      case "[":
        matchKeywords(["false", "Infinity", "NaN", "this", "true"]);
        break;

      case "(":
        matchKeywords(["catch", "else", "for", "function", "if", "return", "switch", "throw", "while", "with"]);
        break;

      case "{":
        matchKeywords(["do", "else", "finally", "return", "try"]);
        break;

      case ":":
        matchKeywords(["case", "default"]);
        break;

      case ";":
        matchKeywords(valueKeywords);
        matchKeywords(["break", "continue", "debugger", "return", "void"]);
        break;
    }

    return matchingWords;
  };

  function completionControllerCompletionsNeeded(defaultCompletions, base, prefix, suffix, forced) {

    // Don't allow non-forced empty prefix completions unless the base is that start of property access.
    if (!forced && !prefix && !/[.[]$/.test(base)) {
      return null;
    }

    // If the base ends with an open parentheses or open curly bracket then treat it like there is
    // no base so we get global object completions.
    if (/[({]$/.test(base)) {
      base = "";
    }

    if (!base.length) {
      base = typeof window == "undefined" ? "this" : "window";
    }

    var lastBaseIndex = base.length - 1;
    var dotNotation = base[lastBaseIndex] === ".";
    var bracketNotation = base[lastBaseIndex] === "[";

    if (dotNotation || bracketNotation) {
      base = base.substring(0, lastBaseIndex);

      // Don't suggest anything for an empty base that is using dot notation.
      // Bracket notation with an empty base will be treated as an array.
      if (!base && dotNotation) {
        return defaultCompletions;
      }

      // Don't allow non-forced empty prefix completions if the user is entering a number, since it might be a float.
      // But allow number completions if the base already has a decimal, so "10.0." will suggest Number properties.
      if (!forced && !prefix && dotNotation && base.indexOf(".") === -1 && parseInt(base, 10) == base) {
        return null;
      }

      // An empty base with bracket notation is not property access, it is an array.
      // Clear the bracketNotation flag so completions are not quoted.
      if (!base && bracketNotation) {
        bracketNotation = false;
      }
    }

    function evaluated(result, wasThrown) {
      var type = typeof result;
      if (wasThrown || !type || type === "undefined" || (type === "object" && result == null)) {
        return defaultCompletions;
      }

      function getCompletions(primitiveType) {
        var object;
        if (primitiveType === "string") {
          object = new String("");
        } else if (primitiveType === "number") {
          object = new Number(0);
        } else if (primitiveType === "boolean") {
          object = new Boolean(false);
        } else {
          object = this;
        }

        var resultSet = {};
        for (var o = object; o; o = o.__proto__) {
          try {
            var names = Object.getOwnPropertyNames(o);
            for (var i = 0; i < names.length; ++i) {
              var name = names[i];
              try {
                resultSet[name] = typeof o[name];
              } catch (error) {
                resultSet[name] = "object";
              }
            }
          } catch (e) {}
        }

        return resultSet;
      }

      if (type === "object" || type === "function") {
        return getCompletions.apply(result, [type]);
      } else if (type === "string" || type === "number" || type === "boolean") {
        return getCompletions(type);
      }

      return {};
    }

    function receivedPropertyNames(propertyNames) {

      propertyNames = propertyNames || {};
      propertyKeys = Object.keys(propertyNames);

      var implicitSuffix = "";
      if (bracketNotation) {
        var quoteUsed = prefix[0] === "'" ? "'" : "\"";
        if (suffix !== "]" && suffix !== quoteUsed) {
          implicitSuffix = "]";
        }
      }

      var completions = defaultCompletions;
      var knownCompletions = completions.keySet();

      for (var i = 0; i < propertyKeys.length; ++i) {
        var property = propertyKeys[i];

        if (dotNotation && !/^[a-zA-Z_$][a-zA-Z0-9_$]*$/.test(property)) {
          continue;
        }

        if (bracketNotation) {
          if (parseInt(property) != property) {
            property = quoteUsed + property.escapeCharacters(quoteUsed + "\\") + (suffix !== quoteUsed ? quoteUsed : "");
          }
        }

        if (!property.hasPrefix(prefix) || property in knownCompletions) {
          continue;
        }

        knownCompletions[property] = true;

        // Insert () if needed
        if (propertyNames[property] === "function") {
          property = property + "()";
        }

        completions.push(property);
      }

      return completions;
    }

    var propertyNames = {};

    try {
      (function() {
        var result = eval(base);
        propertyNames = evaluated(result, false);
      })();
    } catch (error) {
      propertyNames = evaluated(null, true);
    }

    return receivedPropertyNames(propertyNames);
  };

  try {

    var backwardScanResult = parameters.backward;

    if (!backwardScanResult) {
      return;
    }

    var forwardScanResult = parameters.forward;
    var baseScanResult = parameters.base;

    var _prefix = backwardScanResult.string;
    var _suffix = forwardScanResult.string;
    var _startOffset = backwardScanResult.startOffset;
    var _endOffset = backwardScanResult.endOffset;

    if (!backwardScanResult.string && (!baseScanResult || !baseScanResult.string)) {
      return;
    }

    var defaultCompletions = _generateJavaScriptCompletions(baseScanResult ? baseScanResult.string : null, _prefix, _suffix);
    var results = completionControllerCompletionsNeeded(defaultCompletions, baseScanResult ? baseScanResult.string : null, _prefix, _suffix, false);

    return {
      results: results,
      start: _startOffset,
      end: _endOffset
    };
  } catch (error) {
    return;
  }
  return;
}

// Runtime classes
var NSDictionary = 0
var NSMutableDictionary = 0
var NSArray = 0
var NSMutableArray = 0
var NSSet = 0
var NSMutableSet = 0
var NSString = 0
var NSMutableString = 0
var NSData = 0
var NSMutableData = 0
var NSNumber = 0
var NSURL = 0
var NSEnumerator = 0
